Page MenuHomePhabricator

[Story] Performance of sticky elements feels bad
Closed, ResolvedPublic

Description

The performance of the sticky elements (those who stay at their position on screen when scrolling) feels really bad. These elements include the edit link next to the label and the "in other languages" heading.

They often scroll over their bounds and then jump back or they just jump instead of smoothly scrolling.

Event Timeline

Bene created this task.Jun 23 2015, 9:13 AM
Bene raised the priority of this task from to Needs Triage.
Bene updated the task description. (Show Details)
Bene added subscribers: Bene, thiemowmde.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 9:13 AM
Bene updated the task description. (Show Details)
Bene set Security to None.
Lydia_Pintscher triaged this task as Normal priority.Jun 24 2015, 10:27 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

The relevant file for the "sticky" property labels is jquery.wikibase.statementgrouplabelscroll.js. The word "stick" does not appear in this file. ;-)

There is an other mechanism called "sticknode" which is used for headlines and table headers. As far as I can see the bad performance is not in these "sticknode" elements but in the scrolling property label.

thiemowmde renamed this task from Performance of sticky elements feels bad to [Story] Performance of sticky elements feels bad.Sep 10 2015, 2:57 PM
thiemowmde added a subscriber: Jonas.

Change 279369 had a related patch set uploaded (by Jonas Kress (WMDE)):
Remove animation from statementgrouplabelscroll.js

https://gerrit.wikimedia.org/r/279369

Change 279369 merged by jenkins-bot:
Replace statementgrouplabelscroll animation with CSS transition

https://gerrit.wikimedia.org/r/279369

Jonas updated the task description. (Show Details)Apr 5 2016, 1:22 PM
adrianheine closed this task as Resolved.Apr 13 2016, 1:24 PM
adrianheine claimed this task.
thiemowmde moved this task from Proposed to Done on the Wikidata-Sprint-2016-03-15 board.